/* Se cunosc numele si varsta a n copii
    Sa se afiseze copiii ordonati dupa varsta
    si la aceeasi varsta, alfabetic
*/
#include <fstream>
#include <string>
#include <algorithm>
#include <vector>

struct Elev {
    std::string nume;
    int varsta;

    bool operator < (const Elev& e) const
    {
        return varsta < e.varsta ||
              (varsta == e.varsta && nume < e.nume);
    }
};

void CitesteElevi(std::vector<Elev>& e);
void ScrieElevi(const std::vector<Elev>& e);
void CitesteElevi(std::vector<Elev>& e);
int main()
{
    std::vector<Elev> e;

    CitesteElevi(e);
    std::sort(e.begin(), e.end());
    ScrieElevi(e);

    return 0;
}

void CitesteElevi(std::vector<Elev>& e)
{
    std::ifstream fin("elevi.in");
    int n;
    fin >> n;
    e = std::vector<Elev>(n);
    for (int i = 0; i < e.size(); ++i)
        fin >> e[i].nume >> e[i].varsta;
    fin.close();
}

void ScrieElevi(const std::vector<Elev>& e)
{
    std::ofstream fout("elevi.out");

    for (int i = 0; i < e.size(); ++i)
        fout << e[i].nume << ' '
             << e[i].varsta << '\n';
    fout.close();

}

