/* Se cunosc numele si varsta a n copii
    Sa se afiseze copiii ordonati dupa varsta
*/
#include <iostream>
#include <string>

struct Elev {
    std::string nume;
    int varsta;
};


void CitesteElevi(Elev e[], int& n);
void ScrieElevi(Elev e[], int n);
void SorteazaElevi(Elev e[], int n);


int main()
{
    Elev e[1000];
    int n; /// nr de elevi
    CitesteElevi(e, n);
    SorteazaElevi(e, n);
    ScrieElevi(e, n);

    return 0;
}

void CitesteElevi(Elev e[], int& n)
{
    ifstream fin("elevi.in");
    fin >> n;
    for (int i = 0; i < n; ++i)
        fin >> e[i].nume >> e[i].varsta;
    fin.close();
}
void ScrieElevi(Elev e[], int n)
{
    ofstream fout("elevi.out");

    for (int i = 0; i < n; ++i)
        fout << e[i].nume << ' '
             << e[i].varsta << '\n';
    fout.close();

}
void SorteazaElevi(Elev e[], int n)
{
    Elev aux;
    for (int i = 0; i < n - 1; ++i)
        for (int j = i + 1; j < n; ++j)
            if (e[i].varsta > e[j].varsta)
            {
                aux = e[i];
                e[i] = e[j];
                e[j] = aux;
            }
}
