/* Se cunosc numele si varsta a n copii
    Sa se afiseze copiii ordonati dupa varsta
    si la aceeasi varsta, alfabetic
*/
#include <fstream>
#include <string>
#include <algorithm>

struct Elev {
    std::string nume;
    int varsta;

    bool operator < (const Elev& e) const
    {
        return varsta < e.varsta ||
              (varsta == e.varsta && nume < e.nume);
    }
};

void CitesteElevi(Elev e[], int& n);
void ScrieElevi(Elev e[], int n);
void SorteazaElevi(Elev e[], int n);

int main()
{
    Elev e[1000];
    int n; /// nr de elevi
    CitesteElevi(e, n);
    std::sort(e, e + n);
    ScrieElevi(e, n);

    return 0;
}

void CitesteElevi(Elev e[], int& n)
{
    std::ifstream fin("elevi.in");
    fin >> n;
    for (int i = 0; i < n; ++i)
        fin >> e[i].nume >> e[i].varsta;
    fin.close();
}

void ScrieElevi(Elev e[], int n)
{
    std::ofstream fout("elevi.out");

    for (int i = 0; i < n; ++i)
        fout << e[i].nume << ' '
             << e[i].varsta << '\n';
    fout.close();

}

